org.richfaces.application.push.impl

## Class TopicImpl

- java.lang.Object
- - org.richfaces.application.push.impl.AbstractTopic
  - - org.richfaces.application.push.impl.TopicImpl

- All Implemented Interfaces:
    Topic

      public class TopicImpl
      extends AbstractTopic

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicImpl(TopicKey key, TopicsContextImpl topicsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `publish(Object messageData)` Publish data to the subscribed clients
    `void` | `publish(Object messageData, String subtopicName)` Publish data to the subscribed clients
    `void` | `publishEvent(TopicEvent event)` Publishes topic event to all subscribed TopicListeners

    - ### Methods inherited from class org.richfaces.application.push.impl.AbstractTopic

      `addTopicListener, checkSubscription, getKey, getMessageDataSerializer, isAllowSubtopics, removeTopicListener, setAllowSubtopics, setMessageDataSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicImpl

          public TopicImpl(TopicKey key,
                   TopicsContextImpl topicsContext)

  - ### Method Detail

    - #### publish

          public void publish(Object messageData)
                       throws MessageException

      Description copied from interface: `Topic`
      Publish data to the subscribed clients
      Specified by:
        `publish` in interface `Topic`
      Specified by:
        `publish` in class `AbstractTopic`
      Parameters:
        `messageData` - data that will be serialized by MessageDataSerializer
      Throws:
        `MessageException`

    - #### publish

          public void publish(Object messageData,
                     String subtopicName)
                       throws MessageException

      Description copied from interface: `Topic`
      Publish data to the subscribed clients
      Specified by:
        `publish` in interface `Topic`
      Specified by:
        `publish` in class `AbstractTopic`
      Parameters:
        `messageData` - data that will be serialized by MessageDataSerializer
        `subtopicName` - optional subtopic, used to publish to clients that are only interested in specific subtopics
      Throws:
        `MessageException`

    - #### publishEvent

          public void publishEvent(TopicEvent event)

      Description copied from interface: `Topic`
      Publishes topic event to all subscribed TopicListeners
      Specified by:
        `publishEvent` in interface `Topic`
      Overrides:
        `publishEvent` in class `AbstractTopic`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.